unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, jpeg, ExtCtrls;

type
  Tbackground = class(TForm)
    img1: TImage;
    tmrVisibleTopMenu: TTimer;
    procedure FormShow(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure img1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure tmrVisibleTopMenuTimer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  background: Tbackground;
implementation

uses Unit5, Unit4, Menu;

{$R *.dfm}

procedure Tbackground.FormShow(Sender: TObject);

begin
  Height:=Screen.Height;
  Width:=Screen.Width;
  img1.Height:=Height;
  img1.Width:=Width;
end;

procedure Tbackground.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  SetActiveWindow(SG.Handle);
end;

procedure Tbackground.img1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  tmrVisibleTopMenu.Enabled := true;
  TopMenu.tmrFORvisible.Enabled := false;
end;

procedure Tbackground.tmrVisibleTopMenuTimer(Sender: TObject);
begin
  if TopMenu.AlphaBlendValue > 29 then
    TopMenu.AlphaBlendValue := TopMenu.AlphaBlendValue - 2;
end;

end.
